Solid Edge Part Type Library
DrawnCutouts Property
Description
Returns the DrawnCutouts collection object for the referenced Model.
Property type
Read-only property
Syntax
Visual Basic
Public Property DrawnCutouts As DrawnCutouts
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objModel As SolidEdgePart.Model
    Dim objDrawnCutouts As SolidEdgePart.DrawnCutouts
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Close the part document
    Call objDoc.Close
    ' Open a Testcase
    Set objDoc = objApp.Documents.Open(Filename:=TESTFILE)
    ' Get the model object in the test case
    Set objModel = objDoc.Models(1)
    'Get the DrawnCutouts Object for the Model
    Set objDrawnCutouts = objModel.DrawnCutouts


    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objModel = Nothing
    Set objDrawnCutouts = Nothing
End Sub
See Also

Model Object  | Model Members